/* section2 */
body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* title */
.section2__title {
  width: 360px;
  font-size: 40px;
  font-weight: 700;
  font-family: 'Poppins', sans-serif;
  text-align: center;
  margin: 0 auto;
  opacity: 0;
  display: flex;
  flex-direction: column;
  top: 20px;
  position: relative;
}

.section2__title>p {
  margin-top: 145px;
  background: #07223C;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.section2__title hr {
  display: none;
}

/* poster swiper */
.swiper-container {
  margin-top: 50px;
  height: 550px;
  width: 100%;
  padding-bottom: 30px;
}

.swiper-wrapper {
  width: 73.8%;
  will-change: transform;
}

.swiper-slide {
  width: 100%;
  background-color: white;
  overflow: hidden;
}

.swiper-slide.swiper-slide-active .slide-image,
.swiper-slide.swiper-slide-duplicate-active .slide-image {
  transform: scale3d(1, 1, 1);
}

@media (min-width: 630px) {
  .swiper-slide {
    width: 50%;
  }
}

@media (min-width: 768px) {
  .swiper-slide {
    width: 33.333333%;
  }

  .swiper-slide.swiper-slide-next .slide-image,
  .swiper-slide.swiper-slide-prev .slide-image,
  .swiper-slide.swiper-slide-duplicate-next .slide-image,
  .swiper-slide.swiper-slide-duplicate-prev .slide-image {
    transform: scale3d(1, 1, 1);
  }
}

@media (min-width: 1024px) {
  .swiper-slide {
    width: 25%;
  }
}

/* swiper tap */
.swiper-pagination {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30px;
}

.swiper-pagination.swiper-pagination {
  bottom: 0;
}

.swiper-pagination-bullet {
  background: #5F8CB4;
  width: 50px;
  height: 4px;
  border-radius: 0;
  transition: opacity 1s ease;
}

.swiper-pagination-bullet.swiper-pagination-bullet.swiper-pagination-bullet {
  margin: 0;
}


.slide-image {
  height: 100%;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  transform: scale3d(1.3, 1.3, 1);
  backface-visibility: hidden;
  will-change: transform;
  transition: transform 1400ms ease;
}

/* ALL PORTFOLIO */
.section2__btm {
  width: 230px;
  margin: 0 auto;
  margin-top: 20px;
}

.btn {
  position: relative;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  color: #5F8CB4;
  border: 1px solid #5F8CB4;
  padding: 1.3em;
  text-transform: uppercase;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: flex-end stretch;
  letter-spacing: 2px;
  z-index: 1;
  transition: all 1s ease;
  border-radius: 50px;
}

.btn:before,
.btn:after {
  content: "";
  height: 500px;
  width: 500px;
  position: absolute;
  z-index: -1;
  top: 150%;
  transition: all 1.4s ease;
}

.btn:before {
  border-radius: 60% 70% 20% 40%;
  background: #5F8CB4;
  opacity: .2;
  -webkit-animation: water 13s ease-in-out infinite both alternate;
  animation: water 13s ease-in-out infinite both alternate;
}

.btn:after {
  border-radius: 60% 70% 20% 40%;
  background: #5F8CB4;
  opacity: .5;
  -webkit-animation: water 14s ease-in-out infinite both alternate;
  animation: water 14s ease-in-out infinite both alternate;
}

.btn:hover {
  background: #5F8CB4;
  color: white;
}

.btn:hover:before,
.btn:hover:after {
  opacity: 1;
  top: -100%;
}

@-webkit-keyframes water {
  0% {
    transform: rotate(0);
  }

  20% {
    border-radius: 50% 63% 80% 49%;
  }

  40% {
    border-radius: 60% 64% 64% 48%;
  }

  60% {
    border-radius: 80% 63% 51% 49%;
  }

  80% {
    border-radius: 40% 60% 42% 58%;
  }

  100% {
    border-radius: 62% 67% 70% 53%;
    transform: rotate(180deg);
  }
}

@keyframes water {
  0% {
    transform: rotate(0);
  }

  20% {
    border-radius: 50% 63% 80% 49%;
  }

  40% {
    border-radius: 60% 64% 64% 48%;
  }

  60% {
    border-radius: 80% 63% 51% 49%;
  }

  80% {
    border-radius: 40% 60% 42% 58%;
  }

  100% {
    border-radius: 62% 67% 70% 53%;
    transform: rotate(180deg);
  }
}

/* media */
@media all and (max-width:767px) {
  #s2 {
    height: 850px;
  }

  #s3 {
    height: 440px;
  }

  /* title */
  .section2__title {
    font-size: 32px;
    position: absolute;
    top: 380px;
    width: 100%;
  }

  .section2__title hr {
    display: block;
    height: thin;
    opacity: 0.1;
  }

  /* poster swiper */
  .swiper-container {
    position: absolute;
    top: 550px;
  }

  /* swipter tap */
  .swiper-pagination-bullet {
    width: 33px;
  }

  /* ALL PORTFOLIO */
  .section2__btm {
    position: absolute;
    top: 1070px;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
  }

  /* swiper poster size */
  .swiper-wrapper {
    height: 400px;
  }
}

/* poster swiper */
@media (min-width: 630px) {

  .swiper-wrapper {
    width: 100%;

  }
}